com.aliyun.svideosdk.common.struct.effect

## Class ActionScale

- java.lang.Object
- - <any>
  - - com.aliyun.svideosdk.common.struct.effect.ActionScale

-     public class ActionScale
      extends <any>

  缩放动画，从多大，缩放到多大

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected float` | `mFromScale` 开始从什么时候缩放
    `protected float` | `mScaleAnchorBaseScale` 缩放锚点：参考缩放基准值，用于计算trans偏移
    `protected boolean` | `mScaleAnchorEnable` 是否启用缩放锚点，不开启则以物体自身中心点缩放
    `protected float` | `mScaleAnchorX` 缩放锚点：x坐标
    `protected float` | `mScaleAnchorY` 缩放锚点：y坐标
    `protected float` | `mToScale` 缩放到多少大小

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ActionScale()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `float` | `getFromScale()` 获取起点的scale大小
    `float` | `getToScale()` 获取终点的scale大小
    `void` | `setFromScale(float mFromScale)` 动画起点的scale大小
    `void` | `setScaleAnchorBaseScale(float baseScale)`
    `void` | `setScaleAnchorEnable(boolean scaleAnchorEnable)`
    `void` | `setScaleAnchorX(float scaleAnchorX)`
    `void` | `setScaleAnchorY(float scaleAnchorY)`
    `void` | `setToScale(float mToScale)` 动画终点的scale大小

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### mFromScale

          protected float mFromScale

      开始从什么时候缩放

    - #### mToScale

          protected float mToScale

      缩放到多少大小

    - #### mScaleAnchorEnable

          protected boolean mScaleAnchorEnable

      是否启用缩放锚点，不开启则以物体自身中心点缩放

    - #### mScaleAnchorBaseScale

          protected float mScaleAnchorBaseScale

      缩放锚点：参考缩放基准值，用于计算trans偏移

    - #### mScaleAnchorX

          protected float mScaleAnchorX

      缩放锚点：x坐标

    - #### mScaleAnchorY

          protected float mScaleAnchorY

      缩放锚点：y坐标

  - ### Constructor Detail

    - #### ActionScale

          public ActionScale()

  - ### Method Detail

    - #### getFromScale

          public float getFromScale()

      获取起点的scale大小
      Returns:
        起点scale

    - #### setFromScale

          public void setFromScale(float mFromScale)

      动画起点的scale大小
      Parameters:
        `mFromScale` -

    - #### getToScale

          public float getToScale()

      获取终点的scale大小
      Returns:
        终点scale

    - #### setToScale

          public void setToScale(float mToScale)

      动画终点的scale大小
      Parameters:
        `mToScale` -

    - #### setScaleAnchorEnable

          public void setScaleAnchorEnable(boolean scaleAnchorEnable)

    - #### setScaleAnchorBaseScale

          public void setScaleAnchorBaseScale(float baseScale)

    - #### setScaleAnchorX

          public void setScaleAnchorX(float scaleAnchorX)

    - #### setScaleAnchorY

          public void setScaleAnchorY(float scaleAnchorY)